package bg.bas.dcl.mwe.lists;

import java.util.ArrayList;
import java.util.HashMap;

public class IndexLexicon extends ArrayList<String> {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	static ArrayList<Integer> frequencyCtr = new ArrayList<Integer>();
	
	public IndexLexicon(){
		
	}
	
	public IndexLexicon(ArrayList<Integer> freqCtr){
		frequencyCtr = freqCtr;
	}

	public int addEntry(String entry) {

		int k = indexOf(entry);
		
		if (k>-1) {
			frequencyCtr.set(k, frequencyCtr.get(k)+1);
			
		} else {
			add(entry);
			k = size()-1;
			frequencyCtr.add(1);
		}
		return k;
	}

	public int changeEntry(int index, String entry) {

		frequencyCtr.set(index,frequencyCtr.get(index)-1);
		
		int k = indexOf(entry);
		
		if (k>-1) {
			frequencyCtr.set(k, frequencyCtr.get(k)+1);
			
		} else {
			add(entry);
			k = size()-1;
			frequencyCtr.add(1);
		}
		return k;
	}


}
