package bg.bas.dcl.mwe.lists;

import java.util.ArrayList;
import java.util.HashMap;

public class IndexLexiconAlphabetical extends ArrayList<ArrayList<String>> {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	ArrayList<ArrayList<Integer>> frequencyCtr = new ArrayList<ArrayList<Integer>>();
	
	public IndexLexiconAlphabetical(){
		
	}
	
	public IndexLexiconAlphabetical(ArrayList<ArrayList<Integer>> freqCtr){
		frequencyCtr = freqCtr;
		
		for (int i=0; i<AlphabetIndex.DEFAULT+1; i++) {
			ArrayList<String> a = new ArrayList<String>();
			add(a);
		}

	}

	public int[] addEntry(String entry) {

		if (entry.length()==0) return new int[]{-1,-1};
			
		char kl = entry.charAt(0);
		int ialpha = AlphabetIndex.getIndex(kl);
		
			
		int k = get(ialpha).indexOf(entry);
		
		if (k>-1) {
			ArrayList<Integer> l = frequencyCtr.get(ialpha);
			l.set(k, frequencyCtr.get(ialpha).get(k)+1);
			frequencyCtr.set(ialpha,l);
			
		} else {
			get(ialpha).add(entry);
			k = get(ialpha).size()-1;
			
			ArrayList<Integer> l = frequencyCtr.get(ialpha);
			l.add(1);
			frequencyCtr.set(ialpha,l);
		}
//		System.out.println(entry + "\t" + ialpha + "\t" + k + "\t" + frequencyCtr.get(ialpha).get(k));
		return new int[]{ialpha, k};
	}

	public int[] changeEntry(int index, String entry) {

		if (entry.length()==0) return new int[]{-1,-1};
		
		char kl = entry.charAt(0);
		int ialpha = AlphabetIndex.getIndex(kl);

		frequencyCtr.get(ialpha).set(index,frequencyCtr.get(ialpha).get(index)-1);
		
		int k = get(ialpha).indexOf(entry);
		
		if (k>-1) {
			frequencyCtr.get(ialpha).set(k, frequencyCtr.get(ialpha).get(k)+1);
			
		} else {
			get(ialpha).add(entry);
			k = get(ialpha).size()-1;
			frequencyCtr.get(ialpha).add(1);
		}
		return new int[]{ialpha,k};
	}


}
